Summary: ESP Ghostscript
Name: ghostscript
Version: 7.07.1
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.easysw.com/pub/ghostscript/espgs-%{version}-source.tar.bz2
Source2: http://heanet.dl.sourceforge.net/sourceforge/gs-fonts/gnu-gs-fonts-std-6.0.tar.gz
Patch0: ghostscript-7.07.1-tempfile.patch
Url: http://www.cups.org/ghostscript.html
BuildRoot: /var/tmp/%{name}-root

%package cups
Summary: ESP Ghostscript Support for CUPS
Group: Trustix Official
Requires: ghostscript cups libjpeg libtiff

%description
ESP Ghostscript is an enhanced version of GNU Ghostscript that
includes new printer drivers and support for the Common UNIX
Printing System.

%description cups
ESP Ghostscript support for the Common UNIX Printing System
("CUPS"). This package is required to support non-PostScript
printers with CUPS.

%prep
%setup -q -n espgs-%{version}
%patch0 -p1
# fonts:
tar zxf %{SOURCE2}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir}

# If we got this far, all prerequisite libraries must be here.
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
# Make sure destination directories are there, since Ghostscript doesn't make them...
mkdir -m 755 -p $RPM_BUILD_ROOT%{_bindir}
mkdir -m 755 -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -m 755 -p $RPM_BUILD_ROOT%{_docdir}/ghostscript
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/ghostscript/7.05/examples
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/fonts/default/ghostscript

make prefix=$RPM_BUILD_ROOT/usr install_prefix=$RPM_BUILD_ROOT/ bindir=$RPM_BUILD_ROOT/usr/bin datadir=$RPM_BUILD_ROOT/usr/share mandir=$RPM_BUILD_ROOT%{_mandir} install

install -m 644 fonts/*  $RPM_BUILD_ROOT%{_datadir}/fonts/default/ghostscript/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_docdir}/*
%{_datadir}/ghostscript
%{_datadir}/fonts/default/ghostscript

%files cups
%defattr(-,root,root)
/etc/cups/*
/usr/lib/cups/filter/*

%changelog
* Wed Sep 29 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue 

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 7.07.1-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 7.05.6-6tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 7.05.6-5em
- Fix permissions on fonts dir.

* Tue Jun 17 2003 Christian H. Toldnes <christht at trustix dot com> 7.05.6-4ct
- added security patch (patch1)
- added fonts to standard package

* Wed Apr 23 2003 Gerald Dachs <gda at trustix dot org> 7.05.6-3gd
- changed requirements, libpng10 is not need anymore

* Mon Apr 14 2003 Gerald Dachs <gda at trustix dot org> 7.05.6-2gd
- changed requirements
- rebuild against new libpng10, libjpg, libtiff

* Fri Apr 11 2003 Gerald Dachs <gda at trustix dot org> 7.05.6-1gd
- initial release

